function loadXML(arr){
	var xmlDoc=new ActiveXObject("Microsoft.XMLDOM");
	xmlDoc.async="false";
	xmlDoc.load("../misc/downloads/filelist.xml");

	var x = xmlDoc.getElementsByTagName('files');

	try{
		for(var i=0;i<x.length;i++)		//<files>
		{
			for(j=0;j<x[i].childNodes.length;j++)	//<file>
			{
				for(k=0; k<x[i].childNodes[j].childNodes.length; k++){	//<name> & <desc>
					try{
						if (x[i].childNodes[j].childNodes[k].nodeType != 1) continue;
						if(x[i].childNodes[j].childNodes[k].nodeName == "name"){
							arr[x[i].childNodes[j].childNodes[k].firstChild.nodeValue] = x[i].childNodes[j].childNodes[k+1].firstChild.nodeValue;
							continue;
						}
					}catch(e){}
				}
			}
		}
		/*
		for(key in arr){
			alert(key + "::" + arr[key]);
		}
		*/
	}catch(e){}
}